Blödsinn gemacht!

hvt
Mehrmalsposter
BeiträgeCOLON 93
RegistriertCOLON Samstag 15. November 2008, 20:29
[phpBB Debug] PHP Warning: in file [ROOT]/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1266: count(): Parameter must be an array or an object that implements Countable

Blödsinn gemacht!

Beitrag von hvt » Samstag 15. November 2008, 20:36

Hallo Leute!

Ich bin gerade nach dieser Anweisung vorgegangen

http://wiki.eeeuser.com/howto:getkde#en ... e_easy_way

und habe aber vergessen, die ersten Schritte unter

http://forum.eeeuser.com/viewtopic.php? ... 62#p264162

vorzunehmen.

Da ich bei der Installation eine Fehlermeldung erhalten habe (nicht alle Pakete installiert), wollte ich über Synaptic den eeepc.desktop wieder entfernen. Jetzt habe ich das Problem, dass ich folgende Fehlermeldung beim Entfernen erhalte:

"E: advanced-desktop-eeepc: Paket ist in einem sehr schlechten inkonsistenten Zustand - Sie sollten"

Bei "Sie sollten" ist die Meldung zu Ende und ich weiß jetzt nicht, was ich machen soll.

Könnt ihr mir bitte helfen?

Danke

LG

hvt

hvt
Mehrmalsposter
BeiträgeCOLON 93
RegistriertCOLON Samstag 15. November 2008, 20:29
[phpBB Debug] PHP Warning: in file [ROOT]/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1266: count(): Parameter must be an array or an object that implements Countable

Re: Blödsinn gemacht!

Beitrag von hvt » Samstag 15. November 2008, 20:38

Ok, ich bin gerade draufgekommen, dass die Meldung lautet: "Sie sollten es erneut installieren". #

Das habe ich versucht, bekomme aber folgende Fehlermeldung:

E: /var/cache/apt/archives/advanced-desktop-eeepc_1.0-1_i386.deb: Unterprozess neues post-removal-Skript gab den Fehlerwert 1 zurück

hvt
Mehrmalsposter
BeiträgeCOLON 93
RegistriertCOLON Samstag 15. November 2008, 20:29
[phpBB Debug] PHP Warning: in file [ROOT]/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1266: count(): Parameter must be an array or an object that implements Countable

Re: Blödsinn gemacht!

Beitrag von hvt » Sonntag 16. November 2008, 19:47

hallo eeefreeek!

vielen dank für deinen tipp und deine antwort ich habe im how2s nachgesehen, kann aber für mein probleme nichts passendes finden. kannst du mir bitte event. einen link dazu senden?

danke für deine hilfe! :)

Benutzeravatar
vofiwg
Power User
BeiträgeCOLON 2079
RegistriertCOLON Donnerstag 22. November 2007, 19:36
CONTACTCOLON

Re: Blödsinn gemacht!

Beitrag von vofiwg » Sonntag 16. November 2008, 21:07

Also mit der Brechstange (Im Terminal) sollte es so gehen:

CodeCOLON Alles auswählen

sudo rm /var/lib/dpkg/info/advanced-desktop-eeepc.postrm
Anschließend kann man probieren, das Paket neu zu installieren.


VofiWG
Meine Tipps und Hinweise gibt es unter Ausschluss jeglicher Gewährleistung aber mit ganz dollem Daumendrücken. ;)

hvt
Mehrmalsposter
BeiträgeCOLON 93
RegistriertCOLON Samstag 15. November 2008, 20:29
[phpBB Debug] PHP Warning: in file [ROOT]/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1266: count(): Parameter must be an array or an object that implements Countable

Re: Blödsinn gemacht!

Beitrag von hvt » Sonntag 16. November 2008, 21:37

Ok, danke euch beiden. Werde einmal die Brechstangenmethode verwenden. Kann dabei etwas kaputt gehen?

hvt
Mehrmalsposter
BeiträgeCOLON 93
RegistriertCOLON Samstag 15. November 2008, 20:29
[phpBB Debug] PHP Warning: in file [ROOT]/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1266: count(): Parameter must be an array or an object that implements Countable

Re: Blödsinn gemacht!

Beitrag von hvt » Sonntag 16. November 2008, 21:57

Ok, die advanced-desktop Datei ist aus dem Synaptic weg. Aber die Möglichkeit mit dem Button in die Advanced Version zu wechseln ist noch immer da...

Kann ich eigentlich Linux auch in der Easy-Version voll nützen?

Benutzeravatar
vofiwg
Power User
BeiträgeCOLON 2079
RegistriertCOLON Donnerstag 22. November 2007, 19:36
CONTACTCOLON

Re: Blödsinn gemacht!

Beitrag von vofiwg » Sonntag 16. November 2008, 22:06

advanced-desktop-eee ist ein Paket, welches die eigentlichen Pakete für den Full-Desktop (kicker und ksmserver) als Abhängigkeit hat und deswegen ebenfalls zur (automatischen) Installation vorsieht und außerdem noich weitere Konfigurationen vornimmt (weiß jetzt nicht wleche). Du hast kicker und ksmserver noch installiert, also funktioniert Dein Full-Desktop noch. Nachtiel ist m.W. lediglich, dass sich keine Dateien/Links auf dem Desktop ablegen lassen, ohne dass sie nach dem nächsten Reboot verschwunden sind.

Was meinst du damit?
Kann ich eigentlich Linux auch in der Easy-Version voll nützen?

VoFiWG
Meine Tipps und Hinweise gibt es unter Ausschluss jeglicher Gewährleistung aber mit ganz dollem Daumendrücken. ;)

hvt
Mehrmalsposter
BeiträgeCOLON 93
RegistriertCOLON Samstag 15. November 2008, 20:29
[phpBB Debug] PHP Warning: in file [ROOT]/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1266: count(): Parameter must be an array or an object that implements Countable

Re: Blödsinn gemacht!

Beitrag von hvt » Sonntag 16. November 2008, 22:19

vofiwg hat geschriebenCOLON Was meinst du damit?
Kann ich eigentlich Linux auch in der Easy-Version voll nützen?

VoFiWG
Den "linuxtechnischen" Unterschied zwischen der Full- und Easyversion (weiß nicht genau wie ich es ausdrücken soll).

Benutzeravatar
vofiwg
Power User
BeiträgeCOLON 2079
RegistriertCOLON Donnerstag 22. November 2007, 19:36
CONTACTCOLON

Re: Blödsinn gemacht!

Beitrag von vofiwg » Sonntag 16. November 2008, 22:24

Du kannst mit beiden (fast) alle Programme nutzen. Der FullDesktop hat den Vorteil, dass er von Windows-verwöhnten User leichter zu bedienen ist, weil ein "richtiges" Startmenü vorhanden ist.

Weißt du, wie das zu startende Programm heißt, kannst du das Programm auch im EasyMode starten, obwohl es nicht in einem Menü auftaucht. Dafür schreibst Du den Befehl für das Programm einfach in ein Ternminal und drückst die eigabetaste. Ich mache das meist so, weil ich so schneller bin, als das Programm im Menü erst zu suchen.


VoFiWG
Meine Tipps und Hinweise gibt es unter Ausschluss jeglicher Gewährleistung aber mit ganz dollem Daumendrücken. ;)

Benutzeravatar
Lorag
Power User
BeiträgeCOLON 1202
RegistriertCOLON Dienstag 18. März 2008, 23:33
[phpBB Debug] PHP Warning: in file [ROOT]/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1266: count(): Parameter must be an array or an object that implements Countable

Re: Blödsinn gemacht!

Beitrag von Lorag » Sonntag 16. November 2008, 22:53

Der volle Desktop, hat vor allem den Vorteil, da Dateien/Ordner hinzupacken, die ich häufig benutze - deshalb heißt es ja full desktop, sonst wär’s ja ein empty desktop. ;)

Benutzeravatar
vofiwg
Power User
BeiträgeCOLON 2079
RegistriertCOLON Donnerstag 22. November 2007, 19:36
CONTACTCOLON

Re: Blödsinn gemacht!

Beitrag von vofiwg » Sonntag 16. November 2008, 23:01

Bei mir isser eigentlich ständig überfüllt, der FullDesktop :D Und wie gesagt, da was zu speichern geht nur mit dem Paket advanced-desktop-eee oder man konfiguriert das manuell.

http://wiki.eeeuser.com/howto:getkde


VoFiWG
Meine Tipps und Hinweise gibt es unter Ausschluss jeglicher Gewährleistung aber mit ganz dollem Daumendrücken. ;)

hvt
Mehrmalsposter
BeiträgeCOLON 93
RegistriertCOLON Samstag 15. November 2008, 20:29
[phpBB Debug] PHP Warning: in file [ROOT]/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1266: count(): Parameter must be an array or an object that implements Countable

Re: Blödsinn gemacht!

Beitrag von hvt » Freitag 21. November 2008, 22:18

Soooo, jetzt habe ich alle Schritte von Anfang an gemacht (inklusive you-must-first-do-this).

Wenn ich dann im Synaptic das advanced-desktop-eeepc Paket deinstallieren möchte (da ich es ja falsch vorher installiert habe), erhalte ich folgende Meldung:

"Not all changes succedded. For further..."

Die Details zeigen dann: /bin/sh: line 1: 3298 Speicherzugriffsfehler /usr/sbin/dpkg-preconfigure --apt

P.S.: Beim Starten von Synaptic bekomme ich: "Die Abhängigkeit von 1 Paket auf Ihrem System sind defekt. Wählen Sie den Filter Defekte Pakete um dieses anzuzeigen.

Wenn ich das dann mache, dann finde ich da nichts, womit ich etwas anfangen könnte...

Benutzeravatar
vofiwg
Power User
BeiträgeCOLON 2079
RegistriertCOLON Donnerstag 22. November 2007, 19:36
CONTACTCOLON

Re: Blödsinn gemacht!

Beitrag von vofiwg » Freitag 21. November 2008, 22:36

Guck doch mal in Synaptic -> Custom Filters -> Defekt. Da werden rechts die defekten Pakete angezeigt.
synaptic-defekt.png
synaptic-defekt.png (28.47 KiB) 9506-mal betrachtet

VoFiWG
Meine Tipps und Hinweise gibt es unter Ausschluss jeglicher Gewährleistung aber mit ganz dollem Daumendrücken. ;)

hvt
Mehrmalsposter
BeiträgeCOLON 93
RegistriertCOLON Samstag 15. November 2008, 20:29
[phpBB Debug] PHP Warning: in file [ROOT]/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1266: count(): Parameter must be an array or an object that implements Countable

Re: Blödsinn gemacht!

Beitrag von hvt » Samstag 22. November 2008, 21:35

Du Retter in der Not, du...danke! :D

Das defekte Paket ist: libqt3-mt, installierte Version: 3:3.3.7-4xandros4, Beschreibung: Qt GUI Library (Threades runtime version), Version 3

Habe versucht dieses Paket zu entfernen. Bekomme folgende Fehlermeldung:

/bin/sh: line 1: 4322 Speicherzugriffsfehler /usr/sbin/dpkg-preconfigure --apt

in der Datei /bin/sh steht: sh-3.1$

in der Datei /usr/sbin/dpkg-preconfigure steht: /bin/bash: line 1: 5613 Speicherzugriffsfehler /ro/usr/sbin/dpkg-preconfigure"
Press <ENTER> to continue...

Dann habe ich noch einmal die Dateien "/var/lib/dpkg/available" und "/var/lib/dpkg/status" gecheckt. Dort habe ich festgestellt, dass ich einen Beistrich zuviel stehen habe lassen. Als ich dann das korrigiert habe, hatte ich die Möglichkeit die fehlerhafte Datei "libqt3-mt" aus dem Synaptic zu deinstallieren.

Das hat sich im nachhinein aber als fataler Fehler herausgestellt, da nun sehr viele Möglichkeiten auf meinem EEEPC fehlen! :shock:

Jetzt habe ich versucht die deinstallierten Dateien wieder zu installieren, bekomme aber folgende Fehlermeldungen:

E: Die fehlenden Pakete konnten nicht korrigiert werden

W: Die Datei »http://update.eeepc.asus.com/1.6/pool/c ... 4_i386.deb« konnte nicht heruntergeladen werden
404 Not Found


W: Die Datei »http://update.eeepc.asus.com/1.6/pool/c ... 1_i386.deb« konnte nicht heruntergeladen werden
404 Not Found


W: Die Datei »http://update.eeepc.asus.com/1.6/pool/c ... 1_i386.deb« konnte nicht heruntergeladen werden
404 Not Found


W: Die Datei »http://update.eeepc.asus.com/1.6/pool/c ... 1_i386.deb« konnte nicht heruntergeladen werden
404 Not Found

Benutzeravatar
vofiwg
Power User
BeiträgeCOLON 2079
RegistriertCOLON Donnerstag 22. November 2007, 19:36
CONTACTCOLON

Re: Blödsinn gemacht!

Beitrag von vofiwg » Samstag 22. November 2008, 21:48

Lad Dir die entsprechenden Dateien selbst runter, speichere sie in einem Verzeichnis, öffne ein Terminal, wechsle mit cd dorthin und installiere die Dateien mit:

CodeCOLON Alles auswählen

sudo dpkg -i *.deb
http://update.eeepc.asus.com/1.6/pool/c ... 4_i386.deb
http://update.eeepc.asus.com/1.6/pool/c ... 1_i386.deb
http://update.eeepc.asus.com/1.6/pool/c ... 1_i386.deb
http://update.eeepc.asus.com/1.6/pool/c ... 1_i386.deb

Wie es bei Deiner Fehlerausgabe zu den seltsamen Dateinamen gekommen ist, kann ich mir nicht erklären. :roll:


VoFiWG
Meine Tipps und Hinweise gibt es unter Ausschluss jeglicher Gewährleistung aber mit ganz dollem Daumendrücken. ;)

BUTTON_POST_REPLY
[phpBB Debug] PHP Warning: in file [ROOT]/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1266: count(): Parameter must be an array or an object that implements Countable

Zurück zu

Wer ist online?

Mitglieder in diesem Forum: 1 und 0 Gäste